@echo off
cd alarmgr
echo ---------- Entering \alarmgr\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd ann
echo ---------- Entering \ann\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd em
echo ---------- Entering \em\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd exp
echo ---------- Entering \exp\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd jot
echo ---------- Entering \jot\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd main
echo ---------- Entering \main\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd memo
echo ---------- Entering \memo\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd pass
echo ---------- Entering \pass\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd pb
echo ---------- Entering \pb\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd pcsync
echo ---------- Entering \pcsync\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd voxmemo
echo ---------- Entering \voicememo\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..                         
cd dcal
echo ---------- Entering \dcal\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd sch
echo ---------- Entering \sch\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
rem SIO
cd sketch
echo ---------- Entering \sketch\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
echo ---------- Entering \sysetup\ ---------
cd sysetup
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd todo
echo ---------- Entering \todo\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
cd system
echo ---------- Entering \system\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
rem VoxMemo
genpda
echo.
echo ---------- Copying pi.h ---------
copy pi.h pip\include\pi.h
cd pip
echo ---------- Entering \pip\ ---------
del obj\*.o
del obj\*.o~
call build.bat
if errorlevel 1 goto error
cd ..
genpda
echo  > NULL
echo.
echo ***************************
echo *                         *
echo *     THE (Happy?) END    *
echo *                         *
echo ***************************

goto end
:error
echo ---------- ERROR ---------
:end
